org.apache.ignite.internal.commandline.tracing.configuration

## Enum TracingConfigurationSubcommand

- java.lang.Object
- - java.lang.Enum<TracingConfigurationSubcommand>
  - - org.apache.ignite.internal.commandline.tracing.configuration.TracingConfigurationSubcommand

All Implemented Interfaces:
  Serializable, Comparable<TracingConfigurationSubcommand>

    public enum TracingConfigurationSubcommand
    extends Enum<TracingConfigurationSubcommand>

Set of tracing configuration commands.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`GET` Get specific tracing configuration.
`GET_ALL` Get tracing configuration.
`RESET` Reset specific tracing configuration to default.
`RESET_ALL` Reset all scope specific tracing configuration to default, or reset all tracing configurations to default if scope is not specified.
`SET` Set new tracing configuration.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static @Nullable TracingConfigurationSubcommand` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static TracingConfigurationSubcommand` `of(String text)`
`String` `text()`
`String` `toString()`
`static TracingConfigurationSubcommand` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TracingConfigurationSubcommand[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.
`VisorTracingConfigurationOperation` `visorBaselineOperation()`

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GET

    public static final TracingConfigurationSubcommand GET

Get specific tracing configuration.

#### GET_ALL

    public static final TracingConfigurationSubcommand GET_ALL

Get tracing configuration.

#### RESET

    public static final TracingConfigurationSubcommand RESET

Reset specific tracing configuration to default.

#### RESET_ALL

    public static final TracingConfigurationSubcommand RESET_ALL

Reset all scope specific tracing configuration to default, or reset all tracing configurations to default if scope is not specified.

#### SET

    public static final TracingConfigurationSubcommand SET

Set new tracing configuration.

### Method Detail

#### values

    public static TracingConfigurationSubcommand[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TracingConfigurationSubcommand c : TracingConfigurationSubcommand.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TracingConfigurationSubcommand valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### of

    public static TracingConfigurationSubcommand of(String text)

Parameters:
  `text` - Command text.
Returns:
  Command for the text.

#### text

    public String text()

Returns:
  Name.

#### visorBaselineOperation

    public VisorTracingConfigurationOperation visorBaselineOperation()

Returns:
  `VisorTracingConfigurationOperation` which is associated with tracing configuration subcommand.

#### fromOrdinal

    @Nullable
    public static @Nullable TracingConfigurationSubcommand fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<TracingConfigurationSubcommand>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020